# frozen_string_literal: true

require_relative 'lib/documber/version'

Gem::Specification.new do |spec|
  spec.name          = 'documber'
  spec.version       = Documber::VERSION
  spec.authors       = ['Mateus']
  spec.email         = ['seanlilmateus@yahoo.de']

  spec.summary       = 'Re-generate Cucumber Docs'
  spec.description   = 'Internal helper to generate documentation from ruby cucumber'
  spec.homepage      = 'http://documber.doc'
  spec.license       = 'MIT'
  spec.required_ruby_version = '>= 2.7.0'

  spec.metadata['allowed_push_host'] = 'https://rubygems.org'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'http://documber.doc/code'
  spec.metadata['changelog_uri'] = 'http://documber.doc/code'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

end
